=== debian/changelog ===
texlive-lang (2012.20120611-2) unstable; urgency=low

  * move lgrenc.dfu from doc files to run files (Closes: #678545)
  * update to current updmap-setup-kanji (Closes: #677840)
  * ship updmap-setup-kanji-sys(.sh) script

 -- Norbert Preining <preining@debian.org>  Sun, 24 Jun 2012 15:22:35 +0900

texlive-lang (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:02:00 +0900

texlive-lang (2012.20120529-1) unstable; urgency=low

  * new upstream checkout
  * include pmpost.mp in texlive-lang-cjk (Closes: #673351)

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 19:19:17 +0900

texlive-lang (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * undo changes by the old ptex-bin package in the current postinst of 
    ptex-bin (diversions, files under /etc) (Closes: #670494)
    (thanks to Andreas Beckmann for suggestions and code)
  * switch to xz compression for orig and deb
  * remove uptex tar.gz and uptex tlpobj patch, now included upstream

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:22:14 +0900

texlive-lang (2011.20120509-1) unstable; urgency=low

  * update uptex packages from tlptexlive, uptex 1.10

 -- Norbert Preining <preining@debian.org>  Wed, 02 May 2012 08:23:19 +0900

texlive-lang (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot
  * remove texlive-lang-cyrillic suggests scalable-cyrfonts-tex, as they
    are incompatible and break other fonts in TeX Live
  * texlive-lang-cjk: provide and conflict with ptex-jisfonts (Closes: #669692)

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 08:38:36 +0900

texlive-lang (2011.20120410-1) unstable; urgency=low

  * ptex-* take over: create transitional ptex-bin package that depends on 
    texlive-lang-cjk, try to fix upgrades (Closes: #665479)

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2012 14:09:02 +0900

texlive-lang (2011.20120322-2) unstable; urgency=low

  * add dependency texlive-lang-cjk -> texlive-latex-base (Closes: #666195)

 -- Norbert Preining <preining@debian.org>  Mon, 02 Apr 2012 19:45:54 +0900

texlive-lang (2011.20120322-1) unstable; urgency=low

  * replace otf/ttf fonts with links to the files in the
    respective Debian package, depend on that package
  * rebuild against new tex-common with support for language.dat.lua
  * upload to unstable

  [ Hilmar Preuße ]

  List of fixed bugs in new TeX Live
  * upstream fixed description of some language packages
    (Closes: #613661)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 08:37:44 +0900

texlive-lang (2011.20120314-1) experimental; urgency=low

  * new upstream with proper blacklist handling

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:52:30 +0900

texlive-lang (2011.20120226-1) experimental; urgency=low

  * new upstream, too many changes

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 21:33:21 +0900

texlive-lang (2009-3) unstable; urgency=low

  * texlive-lang-greek: add symlink for mkgrkindex

 -- Norbert Preining <preining@debian.org>  Mon, 21 Dec 2009 23:54:37 +0900

texlive-lang (2009-2) unstable; urgency=low

  * first upload to unstable
  * move the man page links from texlive-binaries to texlive-lang-czechslovak

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:03:29 +0900

texlive-lang (2009-1) experimental; urgency=low

  [ Frank Küster ]
  * New upstream version (pre-release, but not far from) with lots of
    internal changes, hence the upload to experimental. This upstream
    version fixes the following bugs:
  
    - texlive-lang-cyrillic: closes: #448700, ukrhypmp.tex can't be
      processed by luatex due to missing UTF-8 encoding
    - texlive-lang-greek: closes: #450494, missing xgreek package
    - texlive-lang-greek: closes: #457687, package lacks GFS fonts

  * Add versioned Replaces for files moved between binary packages from
    upstream versions 2007 to 2009.

  [ Norbert Preining ]
  * Rename texlive-lang-arab to texlive-lang-arabic

 -- Norbert Preining <preining@debian.org>  Thu, 12 Nov 2009 20:51:42 +0900

texlive-lang (2007.dfsg.3-3) unstable; urgency=low

  * bump standards version to 3.8.0:
    - rename README.Debian-source to README.source an explain how to change
      something using quilt by refering to the quilt README.source
    - add homepage field to control
    - add a patch target to debian/rules
  * add dversionmangle to debian/watch file to ignore the .dfsg.NN suffix

 -- Norbert Preining <preining@debian.org>  Tue, 22 Jul 2008 11:47:25 +0200

texlive-lang (2007.dfsg.3-2) unstable; urgency=low

  * Update location of upstream iso.zip file in uscan watch file (closes:
    #449645), thanks to Raphael Geissert <atomo64@gmail.com> [fk]
  * bump standards version to 3.7.3, no changes needed
  * texlive-lang-cyrillic suggests scalable-cyrfonts-tex (Closes: #459539)
  * add the LPPL to debian/copyright

 -- Norbert Preining <preining@debian.org>  Sat, 19 Apr 2008 20:08:13 +0200

texlive-lang (2007.dfsg.3-1) unstable; urgency=low

  * reinclude csplain, the license has been changed

 -- Norbert Preining <preining@debian.org>  Sun, 09 Sep 2007 10:50:36 +0200

texlive-lang (2007.dfsg.2-1) unstable; urgency=medium

  * Blacklist the files from csplain which are part of Petr Olsak's
    contribution, and create a new upstream tarball.  They have a
    license that makes them undistributable, but because the upstream
    author promised to fix it it got an etch-ignore tag.  Since he didn't
    upload a new version for months, we assume that it is not his
    intention that csplain should be free, at least not in the currently
    available form (closes: #368968) [fk]
  * blacklist literat (texlive-lang-cyrillic) (Closes: #439028) [np]

 -- Norbert Preining <preining@debian.org>  Wed, 05 Sep 2007 16:17:12 +0200


