=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-lang-african
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: African scripts
 Support for typesetting some African scripts
 .
 This package includes the following CTAN packages:
  ethiop -- LaTeX macros and fonts for typesetting Amharic.
  ethiop-t1 -- Type 1 versions of Amharic fonts.
  fc -- Fonts for African languages.
  hyphen-ethiopic -- Hyphenation patterns for Ethiopic scripts.

Package: texlive-lang-arabic
Architecture: all
Depends: fonts-hosny-amiri, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Conflicts: texlive-lang-arab, arabtex
Provides: texlive-lang-arab, arabtex
Replaces: texlive-lang-arab, arabtex
Description: TeX Live: Arabic
 Support for typesetting Arabic.
 .
 This package includes the following CTAN packages:
  amiri -- A classical Arabic typeface, Naskh style.
  arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel.
  arabtex -- Macros and fonts for typesetting Arabic.
  bidi -- Support for bidirectional typesetting in plain TeX and LaTeX.
  hyphen-arabic -- (No) Arabic hyphenation patterns.
  hyphen-farsi -- (No) Persian hyphenation patterns.
  persian-bib -- Persian translations of classic BibTeX styles.
  persian-modern -- The "Persian Modern" family of fonts.

Package: texlive-lang-armenian
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Armenian
 Support for typesetting Armenian.
 .

Package: texlive-lang-cjk
Architecture: all
Depends: fonts-ipafont-mincho, fonts-ipaexfont-mincho, texlive-binaries (>= 2012-0), fonts-ipaexfont-gothic, texlive-latex-base (>= 2012.20120516), texlive-doc-zh (>= 2012.20120516), fonts-ipafont-gothic, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Conflicts: okumura-clsfiles, ptex-base, ptex-bin (<< 2011), vfdata-morisawa5, ptex-jisfonts
Recommends: ruby | ruby-interpreter, thailatex, latex-cjk-all (>= 4.6.0+cvs20060714-2)
Provides: okumura-clsfiles, vfdata-morisawa5, ptex-jisfonts
Replaces: mendexk, ptex-bin
Description: TeX Live: Chinese, Japanese, Korean
 CJK (Chinese, Japanese, Korean) macros, fonts, documentation, also Thai
   since there is some overlap in the fonts.
 .
 This package includes the following CTAN packages:
  adobemapping -- Adobe cmap and pdfmapping files
  c90 --
  cns --
  ctex -- LaTeX classes and packages for Chinese typesetting.
  hyphen-chinese -- Chinese pinyin hyphenation patterns.
  ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
   Japan.
  japanese -- A substitute for a babel package for Japanese.
  japanese-otf -- Advanced font selection for platex and its friends.
  japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX.
  jfontmaps -- Font maps for Japanese fonts.
  jsclasses -- Classes tailored for use with Japanese.
  luatexja -- Typesest Japanese with lua(la)tex.
  ptex -- A TeX system for publishing in Japanese.
  uhc -- Fonts for the Korean language.
  uptex --
  zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX.
  zhnumber --
  zhspacing -- Spacing for mixed CJK-English documents in XeTeX.

Package: texlive-lang-croatian
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Croatian
 Support for typesetting Croatian.
 .
 This package includes the following CTAN packages:
  hrlatex -- LaTeX support for Croatian documents.
  hyphen-croatian -- Croatian hyphenation patterns.

Package: texlive-lang-cyrillic
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Cyrillic
 Support for typesetting Cyrillic.
 .
 This package includes the following CTAN packages:
  cmcyr -- Computer Modern fonts with cyrillic extensions.
  cyrillic -- Support for Cyrillic fonts in LaTeX.
  cyrillic-bin -- Cyrillic bibtex and makeindex.
  cyrplain --
  disser -- Class and templates for typesetting dissertations in Russian.
  eskd -- Modern Russian typesetting.
  eskdx -- Modern Russian typesetting.
  gost -- BibTeX styles to format according to GOST.
  lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX.
  lh -- Cyrillic fonts that support LaTeX standard encodings.
  lhcyr -- A non-standard Cyrillic input scheme.
  ruhyphen -- Russian hyphenation.
  russ -- LaTeX in Russian, without babel.
  t2 -- Support for using T2 encoding.
  ukrhyph -- Hyphenation Patterns for Ukrainian.
  hyphen-bulgarian -- Bulgarian hyphenation patterns.
  hyphen-russian -- Russian hyphenation patterns.
  hyphen-ukrainian -- Ukrainian hyphenation patterns.

Package: texlive-lang-czechslovak
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Czech/Slovak
 Support for typesetting Czech/Slovak.
 .
 This package includes the following CTAN packages:
  cs --
  csbulletin -- LaTeX class for articles submitted to the CSTUG Bulletin
   (Zpravodaj).
  cslatex -- LaTeX support for Czech/Slovak typesetting.
  csplain -- Plain TeX support for Czech/Slovak typesetting.
  vlna --
  hyphen-czech -- Czech hyphenation patterns.
  hyphen-slovak -- Slovak hyphenation patterns.

Package: texlive-lang-danish
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Danish
 Support for typesetting Danish.
 .
 This package includes the following CTAN packages:
  hyphen-danish -- Danish hyphenation patterns.

Package: texlive-lang-dutch
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Dutch
 Support for typesetting Dutch.
 .
 This package includes the following CTAN packages:
  hyphen-dutch -- Dutch hyphenation patterns.

Package: texlive-lang-finnish
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Finnish
 Support for typesetting Finnish.
 .
 This package includes the following CTAN packages:
  finbib -- A Finnish version of plain.bst.
  hyphen-finnish -- Finnish hyphenation patterns.

Package: texlive-lang-french
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: French
 Support for typesetting French and Basque.
 .
 This package includes the following CTAN packages:
  aeguill -- Add several kinds of guillemets to the ae fonts.
  basque-date -- Print the date in Basque.
  bib-fr -- French translation of classical BibTeX styles
  bibleref-french -- French translations for bibleref.
  booktabs-fr -- French translation of booktabs documentation.
  droit-fr -- Document class and bibliographic style for French law.
  facture -- Generate an invoice.
  frenchle -- French macros, usable stand-alone or with Babel.
  frletter -- Typeset letters in the French style.
  impnattypo -- Support typography of l'Imprimerie Nationale FranASSaise.
  mafr -- Mathematics in accord with French usage.
  tabvar -- Typesetting tables showing variations of functions.
  tdsfrmath -- Macros for French teachers of mathematics.
  variations -- Typeset tables of variations of functions.
  hyphen-basque -- Basque hyphenation patterns.
  hyphen-french -- French hyphenation patterns.

Package: texlive-lang-german
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: German
 Support for typesetting German.
 .
 This package includes the following CTAN packages:
  bibleref-german -- German adaptation of bibleref.
  dehyph-exptl -- Experimental hyphenation patterns for the German language.
  dhua -- German abbreviations using thin space.
  booktabs-de -- German version of booktabs.
  csquotes-de -- German translation of csquotes documentation.
  etoolbox-de -- German translation of documentation of etoolbox.
  geometry-de -- German translation of the geometry package.
  german -- Support for German typography.
  germbib -- German variants of standard BibTeX styles.
  germkorr -- Change kerning for german quotation marks.
  hausarbeit-jura -- Class for writing "juristiche Hausarbeiten" at German
   Universities.
  microtype-de -- Translation into German of the documentation of microtype.
  r_und_s -- Chemical hazard codes.
  tipa-de -- German translation of tipa documentation.
  umlaute -- German input encodings in LaTeX.
  hyphen-german -- German hyphenation patterns.

Package: texlive-lang-greek
Architecture: all
Depends: fonts-gfs-baskerville, fonts-gfs-porson, texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Greek
 Support for typesetting Greek.
 .
 This package includes the following CTAN packages:
  betababel -- Insert ancient greek text coded in Beta Code.
  bgreek -- Using Beccari's fonts in betacode for classical Greek.
  cbfonts -- Complete set of Greek fonts.
  gfsbaskerville -- A Greek font, from one such by Baskerville.
  gfsporson -- A Greek font, originally from Porson.
  greek-inputenc -- Greek encoding support for inputenc.
  greekdates -- Provides ancient Greek day and month names, dates, etc.
  greektex -- Fonts for typesetting Greek/English documents.
  grverb -- Typesetting Greek verbatim.
  ibycus-babel -- Use the Ibycus 4 Greek font with Babel
  ibygrk -- Fonts and macros to typeset ancient Greek.
  kerkis -- Kerkis (Greek) font family.
  levy -- Fonts for typesetting classical greek.
  lgreek -- LaTeX macros for using Silvio Levy's Greek fonts.
  lgrx --
  mkgrkindex -- Makeindex working with Greek.
  teubner -- Philological typesetting of classical Greek.
  xgreek -- XeLaTeX package for typesetting Greek language documents (beta
   release).
  yannisgr -- Greek fonts by Yannis Haralambous.
  hyphen-greek -- Modern Greek hyphenation patterns.
  hyphen-ancientgreek -- Ancient Greek hyphenation patterns.

Package: texlive-lang-hebrew
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Hebrew
 Support for typesetting Hebrew.
 .
 This package includes the following CTAN packages:
  cjhebrew -- Typeset Hebrew with LaTeX.

Package: texlive-lang-hungarian
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Hungarian
 Support for typesetting Hungarian.
 .
 This package includes the following CTAN packages:
  magyar -- Hungarian language definition for Babel.
  hyphen-hungarian -- Hungarian hyphenation patterns.

Package: texlive-lang-indic
Architecture: all
Depends: python, texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: latex-sanskrit (>= 2.2)
Description: TeX Live: Indic scripts
 Support for typesetting some Indic scripts.
 .
 This package includes the following CTAN packages:
  bangtex -- Writing Bangla and Assamese with LaTeX.
  bengali -- Support for the Bengali language.
  burmese -- Basic Support for Writing Burmese.
  devnag -- Typeset Devanagari.
  ebong -- Utility for writing Bengali in Rapid Roman Format.
  hyphen-indic -- Indic hyphenation patterns.
